C# 클래스 Revit.SDK.Samples.CreateViewSection.CS.Command

상속: IExternalCommand
파일 보기 프로젝트 열기: AMEE/revit

공개 메소드들

메소드 설명
Command ( ) : System

Default constructor of Command

Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result

Implement this method as an external command for Revit.

비공개 메소드들

메소드 설명
GenerateBeamTransform ( ) : Transform

Generate a Transform instance which as Transform property of BoundingBoxXYZ, when the user select a beam, this method will be called

GenerateBoundingBoxXYZ ( ) : System.Boolean

Generate a BoundingBoxXYZ instance which used in NewViewSection() method

GenerateFloorTransform ( ) : Transform

Generate a Transform instance which as Transform property of BoundingBoxXYZ, when the user select a floor, this method will be called

GenerateTransform ( ) : Transform

Generate a Transform instance which as Transform property of BoundingBoxXYZ

GenerateWallTransform ( ) : Transform

Generate a Transform instance which as Transform property of BoundingBoxXYZ, when the user select a wall, this method will be called

GetSelectedElement ( ) : System.Boolean

Get the selected element, and check whether it is a wall, a floor or a beam.

GetWallMidOffsetFromLocation ( Wall wall ) : Double

메소드 상세

Command() 공개 메소드

Default constructor of Command
public Command ( ) : System
리턴 System

Execute() 공개 메소드

Implement this method as an external command for Revit.
public Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result
commandData ExternalCommandData An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view.
message string A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command.
elements Autodesk A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation.
리턴 Autodesk.Revit.UI.Result